* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    font-family: "Outfit", sans-serif;
    color: white;
    overflow-x: hidden;
}

html {
    background: #020617;
}

header, section {
    position: relative;
    z-index: 3;
}

body {
    background:
        radial-gradient(circle at top,
        rgba(212,175,55,0.22),
        transparent 30%),

        radial-gradient(circle at bottom right,
        rgba(255,215,0,0.08),
        transparent 35%),

        linear-gradient(
        180deg,
        #050816 0%,
        #0b1120 100%
        );

        position: relative;
}

body::before {
    content: "";
    position: fixed;
    inset: 0;
    pointer-events: none;

    background: radial-gradient(
        circle at 50% 0%,
        rgba(212,175,55,0.35),
        transparent 65%
    );

    z-index: 1;
}

body::after {
    content: "";
    position: fixed;
    inset: 0;
    pointer-events: none;

    background-image:
        linear-gradient(rgba(255,255,255,0.05) 1px, transparent 1px),
        linear-gradient(90deg, rgba(255,255,255,0.05) 1px, transparent 1px);

    background-size: 120px 120px;

    opacity: 0.25;

    z-index: 2;
}

header,
section {
    position: relative;
    z-index: 1;
}

.feature-box,
.step-box {
    backdrop-filter: blur(16px) saturate(140%);
    -webkit-backdrop-filter: blur(16px) saturate(140%);
    background-color: rgba(118, 118, 86, 0.22);
    border: 1px solid rgba(255, 255, 255, 0.125);
}

.cursor-glow {
    position: fixed;
    top: 0;
    left: 0;
    width: 400px;
    height: 400px;

    background: radial-gradient(
        circle,
        rgba(212,175,55,0.25),
        transparent 60%
    );

    transform: translate(-50%, -50%);
    pointer-events: none;

    z-index: 1;

    filter: blur(40px);
    transition: transform 0.08s linear;
}
/* =========================
   HEADER
========================= */
header {
    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 20px 8%;
    width: 100%;

    position: fixed;
    top: 0;
    left: 0;

    background: rgba(11, 15, 26, 0.75);
    backdrop-filter: blur(10px);

    z-index: 1000;
}

.logo img {
    width: 180px;
}

.back-btn {
    text-decoration: none;
    color: white;
        background: linear-gradient(#111827, #111827) padding-box,
                linear-gradient(135deg, #d4af37, #f5d76e, #b8860b) border-box;

    padding: 10px 18px;
    border: 1px solid transparent;
    border-radius: 8px;

    transition: 0.3s;
}

.back-btn:hover {
    transform: translateY(-3px);
    background: linear-gradient(135deg, #d4af37, #f5d76e, #b8860b) border-box;
}

/* =========================
   HERO
========================= */
.starter-hero {
    padding: 140px 8% 70px;
    text-align: center;
}

.starter-badge {
    display: inline-block;
    background: linear-gradient(#111827, #111827) padding-box,
                linear-gradient(135deg, #d4af37, #f5d76e, #b8860b) border-box;
    box-shadow: 0 0 40px rgba(212, 175, 55, 0.35);
    padding: 10px 18px;
    border: 1px solid transparent;
    border-radius: 20px;
    font-size: 15px;
    margin-bottom: 18px;
}

.starter-content h1 {
    font-size: 3rem;
    margin-bottom: 12px;
}

.starter-content p {
    color: #bfc9d9;
    max-width: 600px;
    margin: auto;
    line-height: 1.6;
}

/* =========================
   FEATURES
========================= */
.starter-features-section {
    padding: 80px 8%;
}

.section-title {
    text-align: left;
    font-size: 2.2rem;
    margin-bottom: 40px;
}

.starter-features {
    display: flex;
    flex-direction: column;
    gap: 18px;
    justify-self: center;
    width: 100%;
    max-width: 950px
}

.feature-box {
    padding: 18px;
    border-radius: 10px;

    box-shadow: 0 10px 40px rgba(0, 0, 0, 0.4);

    transition: transform 0.3s ease, border-color 0.3s ease;
    
}

.feature-box:hover {
    transform: translateY(-6px);
    border-color: #f5d76e;
    box-shadow: 0 0 40px rgba(212, 175, 55, 0.35);
}

/* =========================
   PROCESS
========================= */
.process-section {
    padding: 80px 8%;
}

.process-container {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
    justify-content: center;
}

.step-box {
    flex:1;

    display: block;
    text-decoration: none;

    width: 260px;
    min-width: 250px;
    padding: 40px;
    border-radius: 20px;

    transition: 0.3s;
}

.step-box:hover {
    transform: translateY(-6px);
    border-color: #f5d76e;
    box-shadow: 0 0 40px rgba(212, 175, 55, 0.35);
}

.step-box h3 {
    margin-top: 20px;
    margin-bottom: 5px
}

.step-box span {
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(135deg, #d4af37, #f5d76e, #b8860b) border-box;
    box-shadow: 0 0 40px rgba(212, 175, 55, 0.35);
    width: 45px;
    height: 45px;
    border-radius: 50%;
    margin: auto;
}

/* =========================
   FORM
========================= */
.starter-contact {
    padding: 80px 8%;
}

.starter-form-container {
    max-width: 650px;
    margin: auto;
    text-align: center;
}

.text-box-group {
    display: grid;
    gap: 12px;
    margin-top: 25px;
}

.text-box {
    padding: 12px;
    border-radius: 8px;

    border: 1px solid #1f2937;
    background: white;

    outline: none;
}

.text-box:focus {
    border-color: #3b82f6;
}

.message-area {
    width: 100%;
    min-height: 140px;

    margin-top: 12px;
    padding: 12px;

    border-radius: 8px;
    border: 1px solid #1f2937;

    background: white;

    resize: vertical;
}

.submitform {
    display: inline-flex;
    justify-content: center;
    align-items: center;

    min-width: 138.8px;
    min-height: 40px;

    margin-top: 15px;
    margin-bottom: 15px;

    padding: 12px 22px;
    border: none;
    border-radius: 8px;

    background: linear-gradient(135deg, #d4af37, #f5d76e, #b8860b) border-box;
    color: white;

    cursor: pointer;
    transition: 0.3s;
}

.submitform:hover {
    transform: translateY(-4px);
}

/* =========================
   REVEAL ANIMATION (SAFE VERSION)
========================= */
.reveal {
    opacity: 0;
    transform: translateY(30px);
    transition: 0.6s ease;
}

.reveal.active {
    opacity: 1;
    transform: translateY(0);
}

.custom-loader {
    display: none;

    --d:12px;
    width: 3px;
    height: 3px;
    border-radius: 50%;
    color: white;
    box-shadow: 
        calc(1*var(--d))      calc(0*var(--d))     0 0,
        calc(0.707*var(--d))  calc(0.707*var(--d)) 0 0.4px,
        calc(0*var(--d))      calc(1*var(--d))     0 0.8px,
        calc(-0.707*var(--d)) calc(0.707*var(--d)) 0 1.2px,
        calc(-1*var(--d))     calc(0*var(--d))     0 1.6px,
        calc(-0.707*var(--d)) calc(-0.707*var(--d))0 2.0px,
        calc(0*var(--d))      calc(-1*var(--d))    0 2.4px;
    animation: s7 0.9s infinite steps(8);
}

@keyframes s7 {
  100% {transform: rotate(1turn)}
}